[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.WMSize

Event handler for size messages.

## Declaration

Source position: controls.pp line 2223

`protected procedure TWinControl.WMSize(`
`var Message: TLMSize`
`); message;`

## Arguments

`Message` |  | Window message handled in the method.

## Description

This method is called whenever Width, Height, ClientWidth or ClientHeight have changed. If the source of the message is the interface, the new size is stored in the internal BoundsRealized member to avoid sending a size message back to the interface.